<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('branches', function (Blueprint $table) {
            $table->id();
            $table->jsonb('name');
            $table->jsonb('address')->nullable();
            $table->string('unique_code')->index()->nullable();

            $table->string('region', 2)->index();
            $table->foreignId('province_id')->nullable()->constrained()->restrictOnDelete();

            $table->string('billing_username')->nullable();
            $table->string('billing_password')->nullable();
            $table->boolean('active')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('branches');
    }
};
